Subject: Re: bug#13451: 24.3.50; doc of `window-persistent-parameters' and window parameters generally

From: martin rudalics <[email-masked]>
Date: Fri, 13 Feb 2015 19:22:22 +0100

> I'm looking for information about window configurations and what
 > gets saved/restored etc.
 >
 > I do `C-h v window-persistent-parameters', and I see that the current
 > value, which is apparently the default, is ((clone-of . t)).
 >
 > Naturally, I want to know what this means, so I read the rest of the
 > *Help* buffer.  Nada.  Well, the `t' is explained, but not the
 > `clone-of'.  Not very helpful help.
 >
 > So I search the Elisp manual.  I come across nodes `Window
 > Configurations' and `Window Parameters'.  The latter, in particular,
 > seems like it should list the possible parameters, including `clone-of',
 > which is the parameter saved in a window config by default.
 >
 > Nada.  Again, the CDR of `window-persistent-parameters' is described
 > (possible values nil, t, writable), but nothing about the CAR - its
 > possible values.  Again, not very helpful help.
 >
 > Please document the possible values for the CAR, at least the most
 > common ones, and at the very least `clone-of', which is apparently the
 > only one saved/restored by default (at least on MS Windows).
 >
 > Please describe the window parameters: what they are, what behaviors they
 > affect, and how.  Describing a window configuration as a saved set of window
 > parameters is not very useful if one cannot find out what the parameters are or
 > what they do.

I'm not sure what to do.  If there is something particular that is
unclear or you don't understand, please point that out.  The CAR of a
`window-persistent-parameters' entry specifies the parameter that shall
be treated specially.  What more do you want me to say about it?  The
`clone-of' parameter is used by the window code itself and the manual
tells so.  If there's anything particular the user or application
programmer should know, the manual will have to be rewritten.  Currently
there isn't.

martin